URTW(4)

NAME
urtw - Realtek RTL8187B/L USB IEEE 802.11b/g wireless network device

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device ehci
device uhci
device ohci
device usb
device urtw
device wlan

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    if_urtw_load="YES"

DESCRIPTION
The urtw driver supports USB 802.11b/g wireless adapters based on the Realtek RTL8187B/L.

urtw supports station and monitor mode operation. Only one virtual interface may be configured at any time. For more information on configuring this device, see ifconfig(8).

HARDWARE
The urtw driver supports Realtek RTL8187B/L based wireless network devices, including:

Card | Radio | Bus
Belkin F5D7050E | RTL8225 | USB
Linksys WUSB54GCv2 | RTL8225 | USB
Netgear WG111v2 | RTL8225 | USB
Netgear WG111v3 | RTL8225 | USB
Safehome WLG-1500SMA5 | RTL8225 | USB
Shuttle XPC Accessory PN20 | RTL8225 | USB
Sitecom WL168v1 | RTL8225 | USB
Sitecom WL168v4 | RTL8225 | USB
SureCom EP-9001-g(2A) | RTL8225 | USB
TRENDnet TEW-424UB V3.xR | RTL8225 | USB

EXAMPLES
Join an existing BSS network (i.e., connect to an access point):

    ifconfig wlan create wlandev urtw0 inet 192.168.0.20 \
        netmask 0xffffff00

Join a specific BSS network with network name “my_net”:

    ifconfig wlan create wlandev urtw0 ssid my_net up

Join a specific BSS network with 64-bit WEP encryption:

    ifconfig wlan create wlandev urtw0 ssid my_net \
    	wepmode on wepkey 0x1234567890 weptxkey 1 up

SEE ALSO
intro(4), netintro(4), usb(4), wlan(4), wlan_ccmp(4), wlan_tkip(4), wlan_wep(4), ifconfig(8), wpa_supplicant(8) Realtek, http://www.realtek.com.tw.

HISTORY
The urtw device driver first appeared in FreeBSD 8.0.

AUTHORS
-nosplit The urtw driver was written by Weongyo Jeong <weongyo@FreeBSD.org>.